[Unit]
Description=Edubuntu Online Accounts FirstRun
PartOf=graphical-session.target
After=graphical-session.target

# Never run in GDM
Conflicts=gnome-session@gnome-login.target

[Service]
Type=oneshot
Exec=sh -c 'if ! [ -e $HOME/.config/edubuntu-goa-firstrun ]; then gnome-control-center online-accounts & touch $HOME/.config/edubuntu-goa-firstrun; fi'
Restart=no

[Install]
WantedBy=graphical-session.target
